'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _variable = require('./variable');

var _variable2 = _interopRequireDefault(_variable);

var _mixin = require('./mixin');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function styleProvider() {
  var theme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var Variables = (0, _variable2.default)(theme);
  return {
    CustomLoading: {
      mask: {
        alignItems: 'center',
        justifyContent: 'center',
        flexDirection: 'row',
        flex: 1,
        backgroundColor: (0, _mixin.rgba)(Variables['mask-bg-color'], Variables.opacity)
      },
      imageWrap: {
        width: Variables['icon-size'],
        height: Variables['icon-size']

      },
      image: {
        width: Variables['icon-size'],
        height: Variables['icon-size'],
        quality: 'original'

      }

    }
  };
}
exports.default = styleProvider;
module.exports = exports['default'];