'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function VariableMix(theme) {
  var Core = theme.Core;
  var ComponentCustomStyle = theme.CustomLoading;
  var MaskBgColor = Core['color-black'];

  // / size
  // / @namespace size/icon
  var IconSize = 70;

  // / icon-color
  // / @namespace statement
  var IconColor = Core['color-white'];

  // / opacity
  // / @namespace statement
  var Opacity = '.6';

  var variables = {
    'mask-bg-color': MaskBgColor,
    'icon-size': IconSize,
    'icon-color': IconColor,
    opacity: Opacity

  };
  return _extends({}, variables, ComponentCustomStyle);
}
exports.default = VariableMix;
module.exports = exports['default'];