import VariableMix from './variable';
import { rgba } from './mixin';

function styleProvider(theme = {}) {
  const Variables = VariableMix(theme);
  return {
    CustomLoading: {
      mask: {
        alignItems: 'center',
        justifyContent: 'center',
        flexDirection: 'row',
        flex: 1,
        backgroundColor: rgba(
          Variables['mask-bg-color'],
          Variables.opacity
        ),
      },
      imageWrap: {
        width: Variables['icon-size'],
        height: Variables['icon-size'],

      },
      image: {
        width: Variables['icon-size'],
        height: Variables['icon-size'],
        quality: 'original',

      },

    },
  };
}
export default styleProvider;
