'use strict';

function VariableMix(theme) {
  const Core = theme.Core;
  const ComponentCustomStyle = theme.CustomLoading;
  const MaskBgColor = Core['color-black'];

  // / size
  // / @namespace size/icon
  const IconSize = 70;

  // / icon-color
  // / @namespace statement
  const IconColor = Core['color-white'];

  // / opacity
  // / @namespace statement
  const Opacity = '.6';

  const variables = {
    'mask-bg-color': MaskBgColor,
    'icon-size': IconSize,
    'icon-color': IconColor,
    opacity: Opacity,

  };
  return { ...variables, ...ComponentCustomStyle };
}
export default VariableMix;
